%define name    hydrogen
%define version 0.9.3
%define release %mkrel 4

%define	section	Multimedia/Sound
%define	title	Hydrogen
%define	Summary	Hydrogen Drum Machine

Summary:	%Summary
Name:           %{name}
Version:        %{version}
Release:        %{release}
License:	GPLv2+
Group:		Sound
URL:		http://www.hydrogen-music.org
Source:		http://prdownloads.sourceforge.net/hydrogen/%{name}-%{version}.tar.bz2
Patch0:		%{name}-0.9.3-g++4.patch
Patch1:		%{name}-0.9.3-build-flac.patch
Patch2:		%{name}-0.9.3-lib64.patch
BuildRoot:	%_tmppath/%{name}-buildroot
BuildRequires:	png-devel jpeg-devel libqt-devel pkgconfig
BuildRequires:	libalsa-devel jackit-devel libaudiofile-devel libsndfile-devel
BuildRequires:  libflac-devel libflac++-devel
BuildRequires:	desktop-file-utils

%description
Hydrogen is an advanced drum machine for GNU/Linux. It's main goal is to bring
professional yet simple and intuitive pattern-based drum programming.

%prep
%setup -q
%patch0 -p0 -b .g++4
%patch1 -p0 -b .buildflac
%patch2 -p0 -b .lib64

%build
QTDIR=%{_prefix}/lib/qt3
export QTDIR
%configure2_5x
# doesn't seem to like parallel build
make

# fixed permissions
%__chmod 644 data/doc/tutorial_fr.docbook
%__chmod 644 data/doc/manual_fr.docbook

%install
%__rm -rf %buildroot
%makeinstall

perl -pi -e 's,/usr/share/%{name}/data/img/gray/icon64.png,%{name},g' %buildroot%{_datadir}/applications/%{name}.desktop
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

#icons
%__mkdir_p %buildroot%{_iconsdir}/hicolor/{48x48,32x32,16x16}/apps
%__cp data/img/gray/icon48.png %buildroot%_iconsdir/hicolor/48x48/apps/%{name}.png
%__cp data/img/gray/icon32.png %buildroot%_iconsdir/hicolor/32x32/apps/%{name}.png
%__cp data/img/gray/icon16.png %buildroot%_iconsdir/hicolor/16x16/apps/%{name}.png

%post
%update_menus
%update_icon_cache hicolor
		
%postun
%clean_menus
%clean_icon_cache hicolor

%clean
%__rm -rf %buildroot

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%{_bindir}/*
%{_datadir}/applications/%name.desktop
%{_libdir}/%name
%{_datadir}/%name
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/16x16/apps/%{name}.png


%changelog
* Tue Oct 16 2007 Adam Williamson <awilliamson@mandriva.com> 0.9.3-4mdv2008.1
+ Revision: 98751
- rebuild to fix FLAC errors causing no sound at all
- spec clean
- drop X-Mandriva menu category
- new license policy

* Thu Apr 19 2007 Adam Williamson <awilliamson@mandriva.com> 0.9.3-3mdv2008.0
+ Revision: 14905
- bump release to differentiate from 2007.1 update package

* Thu Apr 19 2007 Adam Williamson <awilliamson@mandriva.com> 0.9.3-2mdv2008.0
+ Revision: 14887
- don't package now non-existent menu entry
- remove old menu entry, emi is complaining
- XDG menu fixes
- revert previous incorrect fix for x86-64 build
- add patch2: correct fix for x86-64 build from upstream forum
- try to fix x86-64 build
- add patch0 (fix build with g++ 4.x)
- add patch1 (fix build with recent flac) (from arch)
- add libflac++ to BuildRequires
- rebuild with latest libflac
- install fd.o icons
- Import hydrogen



* Fri Feb 24 2006 Austin Acton <austin@mandriva.org> 0.9.3-1mdk
- New release 0.9.3
- disable patch (fixed I think...)
- fix source URL

* Wed Jan 25 2006 Tibor Pittich <Tibor.Pittich@mandriva.org> 0.9.2-4mdk
- add QTDIR variable

* Sat Nov 26 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 0.9.2-3mdk
- add patch0 which fixed song editor
- update url, improve description
- macroszification
- recreate menu section
- fixed bad permissions on fr docbook sources

* Wed Nov 09 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.9.2-2mdk
- Fix BuildRequires
- %%mkrel

* Mon Jul 25 2005 Austin Acton <austin@mandriva.org> 0.9.2-1mdk
- 0.9.2
- new source URL
- tidy buildrequires
- use included icons

* Wed May 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.9.1-2mdk
- Fix BuildRequires

* Sun Nov 28 2004 Austin Acton <austin@mandrake.org> 0.9.1-1mdk
- 0.9.1
- source URL

* Sat Sep 11 2004 Austin Acton <austin@mandrake.org> 0.9.0-1mdk
- 0.9.0
- drop libtoolize hack

* Fri Apr 2 2004 Austin Acton <austin@mandrake.org> 0.8.2-1mdk
- 0.8.2

* Sat Dec 27 2003 Austin Acton <austin@linux.ca> 0.8.1-1mdk
- 0.8.1
- delib
- libtoolize

* Sun Aug 24 2003 Michael Scherer <scherer.michael@free.fr> 0.8.0-3mdk
- BuildRequires ( automake1.6 ) 

* Tue Jul 15 2003 Austin Acton <aacton@yorku.ca> 0.8.0-2mdk
- DIRM

* Sat May 24 2003 Austin Acton <aacton@yorku.ca> 0.8.0-1mdk
- 0.8.0

* Wed May 21 2003 Austin Acton <aacton@yorku.ca> 0.7.6-1mdk
- 0.7.6
- add manpage
- mklibname

* Mon Feb 24 2003 Austin Acton <aacton@yorku.ca> 0.7.5-1mdk
- 0.7.5

* Wed Feb 12 2003 Austin Acton <aacton@yorku.ca> 0.7.4-2mdk
- fix requires/provides

* Tue Feb 11 2003 Austin Acton <aacton@yorku.ca> 0.7.4-1mdk
- initial package
